org.apache.felix.framework.cache

## Class ConnectRevision

- java.lang.Object
- - org.apache.felix.framework.cache.BundleArchiveRevision
  - - org.apache.felix.framework.cache.ConnectRevision

    public class ConnectRevision
    extends BundleArchiveRevision

### Constructor Summary

Constructors
Constructor and Description
`ConnectRevision(Logger logger, Map configMap, WeakZipFileFactory zipFactory, File revisionRootDir, String location, ConnectModule module)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `close()` This method is called when the revision is no longer needed.
`Content` `getContent()`
`Map<String,Object>` `getManifestHeader()` Returns the main attributes of the JAR file manifest header of the revision.

### Methods inherited from class org.apache.felix.framework.cache.BundleArchiveRevision

`getConfig, getLocation, getLogger, getRevisionRootDir`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConnectRevision

    public ConnectRevision(Logger logger,
                           Map configMap,
                           WeakZipFileFactory zipFactory,
                           File revisionRootDir,
                           String location,
                           ConnectModule module)
                    throws Exception

Throws:
  `Exception`

### Method Detail

#### getManifestHeader

    public Map<String,Object> getManifestHeader()
                                         throws Exception

Description copied from class: `BundleArchiveRevision`

Returns the main attributes of the JAR file manifest header of the revision. The returned map is case insensitive.

Specified by:
  `getManifestHeader` in class `BundleArchiveRevision`
Returns:
  the case-insensitive JAR file manifest header of the revision.
Throws:
  `Exception` - if any error occurs.

#### getContent

    public Content getContent()
                       throws Exception

Specified by:
  `getContent` in class `BundleArchiveRevision`
Throws:
  `Exception`

#### close

    protected void close()
                  throws Exception

Description copied from class: `BundleArchiveRevision`

This method is called when the revision is no longer needed. The directory associated with the revision will automatically be removed for each revision, so this method only needs to be concerned with other issues, such as open files.

Specified by:
  `close` in class `BundleArchiveRevision`
Throws:
  `Exception` - if any error occurs.